export declare const zocksStoreConfig: {
    reducer: {
        session: import("redux").Reducer<import("..").SessionModel, import("redux").AnyAction>;
        view: import("redux").Reducer<import("../store/view/models").ViewModel, import("redux").AnyAction>;
        chat: import("redux").Reducer<import("../store/chat/models").ChatModel, import("redux").AnyAction>;
    };
};
declare const store: import("@reduxjs/toolkit").EnhancedStore<{
    session: import("..").SessionModel;
    view: import("../store/view/models").ViewModel;
    chat: import("../store/chat/models").ChatModel;
}, import("redux").AnyAction, [import("redux-thunk").ThunkMiddleware<{
    session: import("..").SessionModel;
    view: import("../store/view/models").ViewModel;
    chat: import("../store/chat/models").ChatModel;
}, import("redux").AnyAction, undefined>]>;
export declare type AppDispatch = typeof store.dispatch;
export declare type RootState = ReturnType<typeof store.getState>;
export {};
