import React from 'react';
import { RoomInfo } from '@zocks-communications/client-sdk-js';
import { JoinOptions } from '../../models';
import './JoinPage.scss';
export declare const JoinPage: React.FC<{
    joinAction: (joinOptions: JoinOptions) => void;
    createRoomAction: () => Promise<RoomInfo>;
    initialRoomId?: string;
    enableAudioText?: string;
    disableAudioText?: string;
    enableVideoText?: string;
    disableVideoText?: string;
    joinText?: string;
    newMeetingText?: string;
    createNewMeetingText?: string;
    newMeetingDisabled?: boolean;
    roomIdInputLabel?: string;
    roomIdInputErrorLabel?: string;
    roomIdInputDisabled?: boolean;
    roomIdPlaceholder?: string;
    videoEnabledByDefault?: boolean;
    audioEnabledByDefault?: boolean;
    onNewRoomCreated?: (roomInfo: RoomInfo) => void;
}>;
