import { LocalMediaStream } from '@zocks-communications/client-sdk-js';
export declare const useLocalMedia: (videoEnabledByDefault?: boolean, audioEnabledByDefault?: boolean) => {
    localAudioStream: LocalMediaStream | undefined;
    localVideoStream: LocalMediaStream | undefined;
    videoStreamIsLoading: boolean;
    toggleLocalAudioStream: () => void;
    toggleLocalVideoStream: () => void;
    selectAudioDevice: (audioDevice: MediaDeviceInfo) => void;
    selectVideoDevice: (videoDevice: MediaDeviceInfo) => void;
};
